Package com.avaya.clientservices.contact.fields

## Class ContactPhoneField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactPhoneField

- All Implemented Interfaces:
    `BaseContactField`
  Direct Known Subclasses:
    `EditableContactPhoneField`

      public class ContactPhoneField
      extends ContactField

  Represents a phone number field associated with a contact. Only one phone number can be default for a given contact.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getCategory()` | The phone number category.
    `java.lang.String` | `getLabel1()` | The phone number Label1.
    `java.lang.String` | `getLabel2()` | The phone number Label2.
    `java.lang.String` | `getPhoneNumber()` | Phone number.
    `ContactPhoneNumberType` | `getType()` | The phone number type, i.e work.
    `int` | `hashCode()` |
    `boolean` | `isDefault()` | Is this the default phone number for the contact?
    `boolean` | `isSpeedDialEnabled()` | The phone number speed dial flag.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `getCapability, getContactProviderSourceType, setContactProviderSourceType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPhoneNumber

          public java.lang.String getPhoneNumber()

      Phone number.
      Returns:
        A String containing the phone number.

    - #### getLabel1

          public java.lang.String getLabel1()

      The phone number Label1.
      Returns:
        A String containing the Label1.

    - #### getLabel2

          public java.lang.String getLabel2()

      The phone number Label2.
      Returns:
        A String containing the Label2.

    - #### getCategory

          public java.lang.String getCategory()

      The phone number category.
      Returns:
        A String containing the category.

    - #### getType

          public ContactPhoneNumberType getType()

      The phone number type, i.e work.
      Returns:
        The phone number type.

    - #### isSpeedDialEnabled

          public boolean isSpeedDialEnabled()

      The phone number speed dial flag.
      Returns:
        true if speed dial is enabled.

    - #### isDefault

          public boolean isDefault()

      Is this the default phone number for the contact?
      Returns:
        True if this is the default phone number in the list.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ContactField`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ContactField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ContactField`